## org.apache.catalina.ha.context
Class ReplicatedContext.MultiEnumeration

    java.lang.Object
      org.apache.catalina.ha.context.ReplicatedContext.MultiEnumeration

All Implemented Interfaces:
  java.util.Enumeration

Enclosing class:
  ReplicatedContext

    protected static class ReplicatedContext.MultiEnumeration

extends java.lang.Object
implements java.util.Enumeration

Constructor Summary
`ReplicatedContext.MultiEnumeration(java.util.Enumeration[] lists)`

Method Summary
`boolean` `hasMoreElements()`
`java.lang.Object` `nextElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplicatedContext.MultiEnumeration

    public ReplicatedContext.MultiEnumeration(java.util.Enumeration[] lists)

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()

  Specified by:
    `nextElement` in interface `java.util.Enumeration`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.